#!/usr/bin/sh
/usr/syno/bin/synopkg status ActiveBackup
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi

/var/packages/ActiveBackup/target/bin/synoabk-ctl-fs check_share_backup_destination_by_backup_type "${1}" "fs"
ret=$?
if [ $ret -eq 1 ]; then #contains such backup type task on the share
	exit 0
fi

/var/packages/ActiveBackup/target/bin/synoabk-jobctl check_share_is_inuse "${1}"
ret=$?
if [ $ret -eq 0 ]; then #no abb share
	exit 0
elif [ $ret -eq 2 ]; then #contains ABB share, but not in use by job
	/var/packages/ActiveBackup/target/bin/synoabk-ctl check_volume_support_by_abb "${3}"
	if [ $? -ne 0 ]; then # destination volume not supported by ABB
		exit 1
	fi
	exit 0
else #contains ABB share, but in use by job
	exit 1
fi
